Bug 103161 - xmodmap -L segfaults
Summary: xmodmap -L segfaults
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2003-08-27 10:42 UTC by Alexander Larsson
Modified: 2014-06-18 09:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 00:42:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Larsson 2003-08-27 10:42:23 UTC
> xmodmap -L
Segmentation fault (core dumped)

100% reproducible.

Comment 1 Mike A. Harris 2003-08-28 07:27:55 UTC
xmodmap -L is an undocumented commandline switch.  "man xmodmap" does not
show the existance of this switch.  At a first glance, it appears to be
a shortcut alias to doing:

xmodmap -e "clear lock"

pts/8 mharris@zod:~$ xmodmap -e "clear lock"
pts/8 mharris@zod:~$

The documented method appears to function as documented.  Since this bug
is a bug in undocumented feature, while it should be fixed, it definitely
is not a Cambridge blocker in my eyes, at least I can't see us not shipping
the OS until this is fixed.  I've tested it on a RHL 7.1 and 6.2 system
and the same thing happens.

I'll briefly run this through gdb and see if I can figure it out in 10-15
minutes or so and fix, but I'm removing the blocker status unless someone
can show me a security vulnerability this causes.


Note You need to log in before you can comment on or make changes to this bug.